Qt 5.11 | Qt 3D | C++ Classes | QSkeletonLoader

Qt 5.11.3 Reference Documentation

# QSkeletonLoader Class

(Qt3DCore::QSkeletonLoader)

Used to load a skeleton of joints from file. More...

Header: | #include <QSkeletonLoader>
qmake: | QT += 3dcore
Since: | Qt 5.10
Instantiated By: | SkeletonLoader
Inherits: | Qt3DCore::QAbstractSkeleton

- List of all members, including inherited members

## Public Types

enum | Status { NotReady, Ready, Error }

## Properties

- createJointsEnabled : bool
- rootJoint : Qt3DCore::QJoint* const
- source : QUrl
- status : const Status

- 1 property inherited from Qt3DCore::QAbstractSkeleton
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QSkeletonLoader(Qt3DCore::QNode *parent = nullptr)
| QSkeletonLoader(const QUrl &source, Qt3DCore::QNode *parent = nullptr)
bool | isCreateJointsEnabled() const
Qt3DCore::QJoint * | rootJoint() const
QUrl | source() const
Qt3DCore::QSkeletonLoader::Status | status() const

- 1 public function inherited from Qt3DCore::QAbstractSkeleton
- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setCreateJointsEnabled(bool enabled)
void | setSource(const QUrl &source)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | createJointsEnabledChanged(bool createJointsEnabled)
void | rootJointChanged(Qt3DCore::QJoint *rootJoint)
void | sourceChanged(const QUrl &source)
void | statusChanged(Qt3DCore::QSkeletonLoader::Status status)

- 1 signal inherited from Qt3DCore::QAbstractSkeleton
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 protected function inherited from Qt3DCore::QAbstractSkeleton
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Used to load a skeleton of joints from file.

Use SkeletonLoader if you wish to load a whole skeleton from file rather than creating the joints yourself using Skeleton and Joints. Creating a skeleton and binding the vertices of a mesh to the skeleton is most easily performed in a 3D digital content creation tool such as Blender. The resulting skeleton and mesh can then be exported in a suitable format such as glTF 2 for consumption by Qt 3D.

## Member Type Documentation

### enum QSkeletonLoader::Status

This enum identifies the status of skeleton.

Constant | Value | Description
--- | --- | ---
`Qt3DCore::QSkeletonLoader::NotReady` | `0` | The skeleton has not been loaded yet
`Qt3DCore::QSkeletonLoader::Ready` | `1` | The skeleton was successfully loaded
`Qt3DCore::QSkeletonLoader::Error` | `2` | An error occurred while loading the skeleton

## Property Documentation

### createJointsEnabled : bool

Access functions:

bool | isCreateJointsEnabled() const
void | setCreateJointsEnabled(bool enabled)

Notifier signal:

void | createJointsEnabledChanged(bool createJointsEnabled)

### rootJoint : Qt3DCore::QJoint* const

Access functions:

Qt3DCore::QJoint * | rootJoint() const

Notifier signal:

void | rootJointChanged(Qt3DCore::QJoint *rootJoint)

### source : QUrl

Holds the source url from which to load the skeleton.

Access functions:

QUrl | source() const
void | setSource(const QUrl &source)

Notifier signal:

void | sourceChanged(const QUrl &source)

### status : const Status

Holds the current status of skeleton loading.

Access functions:

Qt3DCore::QSkeletonLoader::Status | status() const

Notifier signal:

void | statusChanged(Qt3DCore::QSkeletonLoader::Status status)

## Member Function Documentation

### QSkeletonLoader::QSkeletonLoader(Qt3DCore::QNode *parent = nullptr)

Constructs a new QSkeletonLoader with parent.

### QSkeletonLoader::QSkeletonLoader(const QUrl &source, Qt3DCore::QNode *parent = nullptr)

Constructs a new QSkeletonLoader with parent and sets the source.